nn.pp.rccore

## Class KeyboardMacro.KeyCode

- java.lang.Object
- - nn.pp.rccore.KeyboardMacro.KeyCode

- All Implemented Interfaces:
    IKeyboardMacro.IKeyCode
  Enclosing class:
    KeyboardMacro

      public static class KeyboardMacro.KeyCode
      extends java.lang.Object
      implements IKeyboardMacro.IKeyCode

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyCode(boolean isDelay, int code)`
    `KeyCode(IKeyboardMacro.IKeyCode code)`
    `KeyCode(int code)`
    `KeyCode(int code, boolean press)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the physical key code.
    `boolean` | `isDelay()` Is this a special "delay" event instead of a real key?
    `boolean` | `isPress()` Is the key pressed or released?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyCode

          public KeyCode(int code,
                         boolean press)

    - #### KeyCode

          public KeyCode(int code)

    - #### KeyCode

          public KeyCode(IKeyboardMacro.IKeyCode code)

    - #### KeyCode

          public KeyCode(boolean isDelay,
                         int code)

  - ### Method Detail

    - #### getCode

          public int getCode()

      Description copied from interface: `IKeyboardMacro.IKeyCode`

      Get the physical key code.

      This is an internally used physical key code and defined by KX keyboard implementation.

      In case of a "delay" event, this is the number of milliseconds to wait.

      Specified by:
        `getCode` in interface `IKeyboardMacro.IKeyCode`
      Returns:
        the physical key code

    - #### isPress

          public boolean isPress()

      Description copied from interface: `IKeyboardMacro.IKeyCode`
      Is the key pressed or released?
      Specified by:
        `isPress` in interface `IKeyboardMacro.IKeyCode`
      Returns:
        true if pressed, false if released

    - #### isDelay

          public boolean isDelay()

      Description copied from interface: `IKeyboardMacro.IKeyCode`
      Is this a special "delay" event instead of a real key?
      Specified by:
        `isDelay` in interface `IKeyboardMacro.IKeyCode`
      Returns:
        true if delay, false if a real key

Copyright © 2025 Raritan Inc. All Rights Reserved.